diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/CertManagementDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/CertManagementDialog.java
index c6a1a878c0e5b03b5546e5df159886d0ff277e37..82083649e307c2143c0bc439f0ca7bdd6aa2d8d1 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/CertManagementDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/CertManagementDialog.java
@@ -20,11 +20,10 @@ package com.netscape.admin.certsrv.ug;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -298,8 +297,8 @@ public class CertManagementDialog extends JDialog
         String[] vals = new String[response.size()];
         int i=0;
         
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            vals[i++] = ((String)e.nextElement()).trim();
+        for (String entry : response.keySet()) {
+            vals[i++] = entry.trim();
         }
         
         CMSAdminUtil.bubbleSort(vals);
@@ -309,7 +308,7 @@ public class CertManagementDialog extends JDialog
             mDataModel.addElement(new JLabel(str,
                 CMSAdminUtil.getImage(CMSAdminResources.IMAGE_CERTICON_SMALL),
                 JLabel.LEFT));
-            mPPData.addElement(response.getValue(vals[y]));
+            mPPData.addElement(response.get(vals[y]));
         }
         
         return true;
@@ -386,7 +385,7 @@ public class CertManagementDialog extends JDialog
     private void addCert(String B64E) {
         //send comment to server for the removal of user
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_USER_CERT, cleanupCertData(B64E));
+        config.put(Constants.PR_USER_CERT, cleanupCertData(B64E));
         try {
             mConnection.add(DestDef.DEST_USER_ADMIN,
                             ScopeDef.SC_USER_CERTS,
@@ -423,7 +422,7 @@ public class CertManagementDialog extends JDialog
         String dn = ((JLabel)mDataModel.elementAt(mList.getSelectedIndex())).getText();
         dn = toServerFormat(dn);
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_USER_CERT,dn);
+        config.put(Constants.PR_USER_CERT, dn);
         
         //send comment to server for the removal of user
         try {
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupEditor.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupEditor.java
index f25267be5cee6e2687e867c0a2e3e6e1d18aa8f1..e9693b15d69d9d80ac23d5e783f81a46837f0332 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupEditor.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupEditor.java
@@ -24,8 +24,7 @@ import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import javax.swing.table.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -203,8 +202,8 @@ public class GroupEditor extends JDialog
                 response = mConnection.search(DestDef.DEST_USER_ADMIN,
                   ScopeDef.SC_USERS, new NameValuePairs());
                 boolean hasNewUser = false;
-                for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-                    String entry = ((String)e.nextElement()).trim();
+                for (String entry : response.keySet()) {
+                    entry = entry.trim();
                     if (currentUser.indexOf(entry)== -1)
                         hasNewUser = true;
                 }
@@ -483,9 +482,9 @@ public class GroupEditor extends JDialog
 
         //construct NVP
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_GROUP_DESC, "");
-        config.add(Constants.PR_GROUP_USER, "");
-        config.add(Constants.PR_GROUP_GROUP, "");
+        config.put(Constants.PR_GROUP_DESC, "");
+        config.put(Constants.PR_GROUP_USER, "");
+        config.put(Constants.PR_GROUP_GROUP, "");
 
         NameValuePairs response;
         response = mConnection.read(DestDef.DEST_GROUP_ADMIN,
@@ -496,12 +495,12 @@ public class GroupEditor extends JDialog
         Debug.println("Received Memebership: "+response.toString());
         //setup the ui
         mGroupNameField.setText(mGroupName);
-        mGroupDescField.setText(response.getValue(Constants.PR_GROUP_DESC));
+        mGroupDescField.setText(response.get(Constants.PR_GROUP_DESC));
 
         //setup the member table
 
         //parse user entry
-        String user = response.getValue(Constants.PR_GROUP_USER).trim();
+        String user = response.get(Constants.PR_GROUP_USER).trim();
         StringTokenizer tokenizer = new StringTokenizer(user, ",");
         while (tokenizer.hasMoreTokens()) {
             String user_str = tokenizer.nextToken().trim();
@@ -515,7 +514,7 @@ public class GroupEditor extends JDialog
 
             //construct NVP
             NameValuePairs config = new NameValuePairs();
-            config.add(Constants.PR_GROUP_DESC, mGroupName);
+            config.put(Constants.PR_GROUP_DESC, mGroupName);
             createUGString(config);
 
             //send request
@@ -530,7 +529,7 @@ public class GroupEditor extends JDialog
 
             //construct NVP
             NameValuePairs config = new NameValuePairs();
-            config.add(Constants.PR_GROUP_DESC, mGroupDescField.getText());
+            config.put(Constants.PR_GROUP_DESC, mGroupDescField.getText());
             createUGString(config);
 
             //send request
@@ -567,7 +566,7 @@ public class GroupEditor extends JDialog
             }
 
         //set parameters
-        config.add(Constants.PR_GROUP_USER, userBuf.toString());
+        config.put(Constants.PR_GROUP_USER, userBuf.toString());
     }
 
     //refresh the table content
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupListDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupListDialog.java
index 706ed2ccd1a1405b7285b27cbd5870bde8c8f00d..d5931a6f8bc14a8c85645ab94c87c1895aa86d3c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupListDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupListDialog.java
@@ -260,8 +260,8 @@ public class GroupListDialog extends JDialog
         }
 
         //parse the data
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
+        for (String entry : response.keySet()) {
+            entry = entry.trim();
             //check if not already in current list
             if (mCurrentGroups.indexOf(entry)== -1)
                 mDataModel.processData(entry);
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupTab.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupTab.java
index eca04bddc94847d456975b5a6ed1dd265f2b358a..e80cc7047339d732e4512b210ed93102204810ab 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/GroupTab.java
@@ -20,11 +20,10 @@ package com.netscape.admin.certsrv.ug;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -323,9 +322,8 @@ public class GroupTab extends CMSBaseUGTab {
 
         //parse the data
         Vector store = new Vector();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String entry = ((String)e.nextElement()).trim();
-            store.addElement(entry);
+        for (String entry : response.keySet()) {
+            store.addElement(entry.trim());
         }
         
         String[] vals = new String[store.size()];
@@ -334,7 +332,7 @@ public class GroupTab extends CMSBaseUGTab {
         CMSAdminUtil.bubbleSort(vals);
 
         for (int y=0; y< vals.length ; y++) {
-            String value = response.getValue(vals[y]);
+            String value = response.get(vals[y]);
             mDataModel.processData(vals[y],value);
         }
         
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/MemberDataModel.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/MemberDataModel.java
index 6ebb84cb6f23e35e83c18bc544937c97801e9e07..6b1fbfeecfa0972bd92dfc9c25d186bfb9f28d0c 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/MemberDataModel.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/MemberDataModel.java
@@ -21,7 +21,6 @@ import java.util.*;
 import javax.swing.*;
 import com.netscape.certsrv.common.*;
 import com.netscape.admin.certsrv.*;
-import com.netscape.admin.certsrv.connection.*;
 import com.netscape.management.client.util.*;
 
 /**
@@ -66,13 +65,13 @@ public class MemberDataModel extends CMSContentTableModel
         NameValuePairs rec = (NameValuePairs)data;
 
         Icon icon;
-        icon = (rec.getValue(MEMBER_TYPE).equals(MEMBER_GROUP))?
+        icon = (rec.get(MEMBER_TYPE).equals(MEMBER_GROUP))?
                 CMSAdminUtil.getImage(CMSAdminResources.IMAGE_USERGROUP):
                 CMSAdminUtil.getImage(CMSAdminResources.IMAGE_USER);
 
-        String entry = rec.getValue(MEMBER_NAME);
+        String entry = rec.get(MEMBER_NAME);
         String name = entry;
-        if(rec.getValue(MEMBER_TYPE).equals(MEMBER_GROUP)) {
+        if(rec.get(MEMBER_TYPE).equals(MEMBER_GROUP)) {
             if (entry.startsWith(PrefixDef.PX_SYS))
                 name = entry.substring(PrefixDef.PX_SYS.length());
             else
@@ -101,10 +100,10 @@ public class MemberDataModel extends CMSContentTableModel
     {
         Debug.println("MemberDataModel: removeRow() - start");
         NameValuePairs data = (NameValuePairs)getObjectValueAt(index);
-        if (data.getValue(MEMBER_TYPE).equals(MEMBER_GROUP))
-            mGroups.removeElement(data.getValue(MEMBER_NAME));
+        if (data.get(MEMBER_TYPE).equals(MEMBER_GROUP))
+            mGroups.removeElement(data.get(MEMBER_NAME));
         else
-            mUsers.removeElement(data.getValue(MEMBER_NAME));
+            mUsers.removeElement(data.get(MEMBER_NAME));
         super.removeRow(index);
         Debug.println("MemberDataModel: removeRow() - end");
     }
@@ -118,10 +117,10 @@ public class MemberDataModel extends CMSContentTableModel
         super.addRow(values);
         mObjectContainer.addElement(obj);
         NameValuePairs rec = (NameValuePairs)obj;
-        if (rec.getValue(MEMBER_TYPE).equals(MEMBER_GROUP))
-            mGroups.addElement(rec.getValue(MEMBER_NAME));
+        if (rec.get(MEMBER_TYPE).equals(MEMBER_GROUP))
+            mGroups.addElement(rec.get(MEMBER_NAME));
         else
-            mUsers.addElement(rec.getValue(MEMBER_NAME));
+            mUsers.addElement(rec.get(MEMBER_NAME));
     }
 
     /**
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/UserEditor.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/UserEditor.java
index 561b8bb195aac55bb3ad7e4bede66426df58e007..75908fe6aa45b39d85c1477820e1798e88c2ac44 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/UserEditor.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/UserEditor.java
@@ -24,9 +24,8 @@ import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
-import javax.swing.table.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -520,11 +519,11 @@ public class UserEditor extends JDialog
 
         //construct NVP
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_USER_FULLNAME, "");
-        config.add(Constants.PR_USER_EMAIL, "");
-        config.add(Constants.PR_USER_PHONE, "");
-        config.add(Constants.PR_USER_STATE, "");
-        config.add(Constants.PR_USER_GROUP, "");
+        config.put(Constants.PR_USER_FULLNAME, "");
+        config.put(Constants.PR_USER_EMAIL, "");
+        config.put(Constants.PR_USER_PHONE, "");
+        config.put(Constants.PR_USER_STATE, "");
+        config.put(Constants.PR_USER_GROUP, "");
 
         NameValuePairs response;
         response = mConnection.read(DestDef.DEST_USER_ADMIN,
@@ -534,13 +533,13 @@ public class UserEditor extends JDialog
 
         //setup the ui
         mUserNameField.setText(mUserName);
-        mFullNameField.setText(response.getValue(Constants.PR_USER_FULLNAME));
-        mEMailField.setText(response.getValue(Constants.PR_USER_EMAIL));
-        mPhoneField.setText(response.getValue(Constants.PR_USER_PHONE));
-        mStateField.setText(response.getValue(Constants.PR_USER_STATE));
+        mFullNameField.setText(response.get(Constants.PR_USER_FULLNAME));
+        mEMailField.setText(response.get(Constants.PR_USER_EMAIL));
+        mPhoneField.setText(response.get(Constants.PR_USER_PHONE));
+        mStateField.setText(response.get(Constants.PR_USER_STATE));
 
         //parse group entry
-        String userStr = response.getValue(Constants.PR_USER_GROUP);
+        String userStr = response.get(Constants.PR_USER_GROUP);
         if ( (userStr != null) && (!userStr.trim().equals("")) ) {
             StringTokenizer tokenizer = new StringTokenizer(userStr, ",");
             while (tokenizer.hasMoreTokens()) {
@@ -556,8 +555,7 @@ public class UserEditor extends JDialog
           ScopeDef.SC_GROUPS, new NameValuePairs());
         if (mGroupBox.getItemCount() > 0)
             mGroupBox.removeAllItems();
-        for (Enumeration e = response.getNames(); e.hasMoreElements() ;) {
-            String groupname = (String)e.nextElement();
+        for (String groupname : response.keySet()) {
             mGroupBox.addItem(groupname.trim());
         }
 
@@ -568,13 +566,13 @@ public class UserEditor extends JDialog
 
         //construct NVP
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_USER_FULLNAME, mFullNameField.getText().trim());
-        config.add(Constants.PR_USER_PASSWORD,mPasswordField.getText().trim());
-        config.add(Constants.PR_USER_EMAIL,mEMailField.getText().trim());
-        config.add(Constants.PR_USER_PHONE,mPhoneField.getText().trim());
-        config.add(Constants.PR_USER_STATE,mStateField.getText().trim());
-        config.add(Constants.PR_USER_GROUP,(String)mGroupBox.getSelectedItem());
-        config.add(Constants.PR_USER_TYPE, "");
+        config.put(Constants.PR_USER_FULLNAME, mFullNameField.getText().trim());
+        config.put(Constants.PR_USER_PASSWORD, mPasswordField.getText().trim());
+        config.put(Constants.PR_USER_EMAIL, mEMailField.getText().trim());
+        config.put(Constants.PR_USER_PHONE, mPhoneField.getText().trim());
+        config.put(Constants.PR_USER_STATE, mStateField.getText().trim());
+        config.put(Constants.PR_USER_GROUP, (String) mGroupBox.getSelectedItem());
+        config.put(Constants.PR_USER_TYPE, "");
         //config.add(Constants.PR_USER_CERT,"");
         //createCertEntry(config);
 
@@ -590,12 +588,12 @@ public class UserEditor extends JDialog
 
         //construct NVP
         NameValuePairs config = new NameValuePairs();
-        config.add(Constants.PR_USER_FULLNAME, mFullNameField.getText().trim());
-        config.add(Constants.PR_USER_PASSWORD,mPasswordField.getText().trim());
-        config.add(Constants.PR_USER_EMAIL,mEMailField.getText().trim());
-        config.add(Constants.PR_USER_PHONE,mPhoneField.getText().trim());
-        config.add(Constants.PR_USER_STATE,mStateField.getText().trim());
-        config.add(Constants.PR_USER_TYPE, "");
+        config.put(Constants.PR_USER_FULLNAME, mFullNameField.getText().trim());
+        config.put(Constants.PR_USER_PASSWORD, mPasswordField.getText().trim());
+        config.put(Constants.PR_USER_EMAIL, mEMailField.getText().trim());
+        config.put(Constants.PR_USER_PHONE, mPhoneField.getText().trim());
+        config.put(Constants.PR_USER_STATE, mStateField.getText().trim());
+        config.put(Constants.PR_USER_TYPE, "");
         //createCertEntry(config);
 
         //send request
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/UserListDialog.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/UserListDialog.java
index b54ac7d8dcde09e848de52ddf5bf83db7e1f9e57..6f0c6215bafc316b2544a5eda32ad4c0b680cfd9 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/UserListDialog.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/UserListDialog.java
@@ -20,13 +20,11 @@ package com.netscape.admin.certsrv.ug;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
-import javax.swing.table.*;
 import com.netscape.certsrv.common.*;
 
 /**
@@ -317,7 +315,7 @@ public class UserListDialog extends JDialog
         store.copyInto(vals);
 */
 
-       String responseValue = response.getValue("userInfo");
+       String responseValue = response.get("userInfo");
 
        StringTokenizer tokenizer = new StringTokenizer(responseValue, ";");
        StringTokenizer subTokenizer = null;
diff --git a/pki/base/console/src/com/netscape/admin/certsrv/ug/UserTab.java b/pki/base/console/src/com/netscape/admin/certsrv/ug/UserTab.java
index ccf7ac5aecdfd088164ee75384fe122c4c2318fa..78b7e525229cb143cda5c3afc8e394bcd70a89a4 100644
--- a/pki/base/console/src/com/netscape/admin/certsrv/ug/UserTab.java
+++ b/pki/base/console/src/com/netscape/admin/certsrv/ug/UserTab.java
@@ -20,11 +20,10 @@ package com.netscape.admin.certsrv.ug;
 import com.netscape.admin.certsrv.*;
 import com.netscape.admin.certsrv.connection.*;
 import javax.swing.*;
-import javax.swing.event.*;
 import java.awt.event.*;
 import java.awt.*;
 import java.util.*;
-import com.netscape.management.client.*;
+
 import com.netscape.management.client.util.*;
 import com.netscape.certsrv.common.*;
 
@@ -289,7 +288,7 @@ public class UserTab extends CMSBaseUGTab {
 
         Debug.println(response.toString());
 
-        String responseValue = response.getValue("userInfo");
+        String responseValue = response.get("userInfo");
 
         StringTokenizer tokenizer = new StringTokenizer(responseValue, ";");
         StringTokenizer subTokenizer = null;
diff --git a/pki/base/console/src/com/netscape/certsrv/common/NameValuePairs.java b/pki/base/console/src/com/netscape/certsrv/common/NameValuePairs.java
index 2dd913ea761430608db7bc7582884d52e85ee7b9..5e7d79cdea3bbaf20ebf880005a69ea76dd9cf78 100644
--- a/pki/base/console/src/com/netscape/certsrv/common/NameValuePairs.java
+++ b/pki/base/console/src/com/netscape/certsrv/common/NameValuePairs.java
@@ -17,112 +17,24 @@
 // --- END COPYRIGHT BLOCK ---
 package com.netscape.certsrv.common;
 
-
-import java.io.*;
-import java.util.*;
-import java.net.*;
-import java.util.*;
-import java.text.*;
-import java.math.*;
-
+import java.util.LinkedHashMap;
+import java.util.StringTokenizer;
 
 /**
- * A class represents an ordered list of name 
+ * A class represents an ordered list of name
  * value pairs.
  *
- * @author thomask
  * @version $Revision$, $Date$
  */
-public class NameValuePairs {
-
-    private Vector mPairs = new Vector();
-
-    // an index to speed up searching
-    // The key is the name.  The element is the NameValuePair.
-    private Hashtable index = new Hashtable();
+public class NameValuePairs extends LinkedHashMap<String, String> {
 
     /**
      * Constructs name value pairs.
-     */	 
+     */
     public NameValuePairs() {
     }
 
     /**
-     * Adds a name value pair into this set.
-     * if the name already exist, the value will
-     * be replaced.
-     */
-    public void add(String name, String value) {
-        NameValuePair pair = getPair(name);
-
-        if (pair == null) {
-            pair = new NameValuePair(name, value);
-            mPairs.addElement(pair);
-            index.put(name, pair);
-        } else {
-            pair.setValue(value);
-        }
-    }
-
-    /**
-     * Retrieves name value pair from this set.
-     */
-    public NameValuePair getPair(String name) {
-        return (NameValuePair) index.get(name);
-    }
-
-    /**
-     * Returns number of pairs in this set.
-     */
-    public int size() {
-        return mPairs.size();
-    }
-
-    /**
-     * Retrieves name value pairs in specific position.
-     */
-    public NameValuePair elementAt(int pos) {
-        return (NameValuePair) mPairs.elementAt(pos);
-    }
-
-    /**
-     * Removes all name value pairs in this set.
-     */
-    public void removeAllPairs() {
-        mPairs.removeAllElements();
-        index.clear();
-    }
-
-    /**
-     * Retrieves value of the name value pairs that matches
-     * the given name.
-     */
-    public String getValue(String name) {
-        NameValuePair p = getPair(name);
-
-        if (p != null) {
-            return p.getValue();
-        }
-        return null;
-    }
-
-    /**
-     * Retrieves a list of names.
-     */
-    public Enumeration getNames() {
-        Vector v = new Vector();
-        int size = mPairs.size(); 
-
-        for (int i = 0; i < size; i++) { 
-            NameValuePair p = (NameValuePair) mPairs.elementAt(i);
-
-            v.addElement(p.getName());
-        }
-        //System.out.println("getNames: "+v.size());
-        return v.elements();
-    }
-	
-    /**
      * Show the content of this name value container as
      * string representation.
      *
@@ -131,15 +43,23 @@ public class NameValuePairs {
     public String toString() {
         StringBuffer buf = new StringBuffer();
 
-        for (int i = 0; i < mPairs.size(); i++) {
-            NameValuePair p = (NameValuePair) mPairs.elementAt(i);
+        for (String name : keySet()) {
+            String value = get(name);
 
-            buf.append(p.getName() + "=" + p.getValue());
+            buf.append(name + "=" + value);
             buf.append("\n");
         }
+
         return buf.toString();
     }
 
+    /**
+     * Parses a string into name value pairs.
+     *
+     * @param s string
+     * @param nvp name value pairs
+     * @return true if successful
+     */
     public static boolean parseInto(String s, NameValuePairs nvp) {
         StringTokenizer st = new StringTokenizer(s, "&");
 
@@ -153,12 +73,8 @@ public class NameValuePairs {
             String n = t.substring(0, i);
             String v = t.substring(i + 1);
 
-            nvp.add(n, v);
-        }	
+            nvp.put(n, v);
+        }
         return true;
     }
-
-    public Enumeration elements() {
-        return mPairs.elements();
-    }
-}    
+}
-- 
1.7.7.4

